Bric::App::MediaFunc(3)

NAME
Bric::App::MediaFunc - Location for functions that query uploaded media files.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-08-12 17:13:34 -0700 (Thu, 12 Aug 2004) $

SYNOPSIS
TBD.

DESCRIPTION
TBD.

INTERFACE

  Constructors

$mediafunc = Bric::App::MediaFunc->new($init);
    Creates a new object to run the given methods against

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$p->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Public Class Methods
NONE

  Public Functions

$height = $media_func->get_height()
    Returns the height of the image

    Throws:

    NONE

    Side Effects:

    NONE

    Throws:

    NONE

$width = $media->get_width()
    Returns the width of the image

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$color_type = $media->get_color_type()
    Returns the color type of the image

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$resolution = $media->get_resolution()
    Returns the resolution

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$samples_per_pixel = $media->get_samples_per_pixel()
    Returns the samples per pixel

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions

$image_info = $self->_get_image_info_obj()
    Returns the image info object.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

NOTES
NONE.

AUTHOR
David Wheeler <david@wheeler.net>

SEE ALSO
Bric